%define __libtoolize :
%global momorel 6
Summary: GNU recode
Name: recode
Version: 3.6
Release: %{momorel}m%{?dist}
Source: ftp://ftp.gnu.org/pub/gnu/recode/recode-%{version}.tar.gz
Patch: recode.patch
License: GPL or LGPL
Group: Applications/Text
URL: http://www.gnu.org/directory/recode.html
BuildRequires:	flex
Prereq: info
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Nosource: 0

%description
The GNU recode utility convert files between various character sets.

%package devel
Summary: GNU recode devel
Group: Applications/Text
Requires: %{name} = %{version}

%description devel
cf %{name} package

%prep
%setup -q
%patch -p1

%build
cp %{_datadir}/libtool/config.* .
%configure
make

%install
rm -rf %{buildroot}

%makeinstall
%find_lang %{name}

gzip -9nf %{buildroot}%{_infodir}/recode.info*

# remove unpackaged file from the buildroot
rm -rf %{buildroot}%{_infodir}/dir

find %{buildroot} -name "*.la" -delete

%post
/sbin/ldconfig
/sbin/install-info %{_infodir}/recode.info.* %{_infodir}/dir --entry="* recode: (recode).                        Conversion between character sets and surfaces."
exit 0

%preun
if [ $1 = 0 ]; then
  /sbin/install-info --delete %{_infodir}/recode.info.gz %{_infodir}/dir --entry="* recode: (recode).                        Conversion between character sets and surfaces."
fi
exit 0

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%{_mandir}/*/*
%{_infodir}/*
%{_bindir}/*
%{_libdir}/*.so.0*

%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_libdir}/*.so
%{_includedir}/*

%changelog
* Tue Feb 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.6-6m)
- delete libtool library

* Mon Feb  7 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (3.6-5m)
- enable x86_64.

* Sat Jan 15 2005 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (3.6-4m)
- License is GPL for programs,  LGPL for library.

* Sun Jun 13 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (3.6-3m)
- import patch from FC2

* Mon May 13 2002 Toru Hoshina <t@kondara.org>
- (3.6-2k)

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (3.5-6k)

* Sat Dec  1 2001 Toru Hoshina <t@kondara.org>
- (3.5-4k)
- No docs could be excutable :-p

* Fri Oct 12 2001 Masaru Sato <masachan@kondara.org>
- add URL tag

* Mon Sep 17 2001 Shingo Akagaki <dora@digitalfactory.co.jp>
- (3.5-2k)
- patiri

* Thu Sep 06 2001 Stefan van der Eijk <stefan@eijk.nu> 3.5-9mdk
- BuildRequires:	flex
- Copyright --> License

* Tue Jul  3 2001 Pixel <pixel@mandrakesoft.com> 3.5-8mdk
- do not build .so's

* Tue Nov  7 2000 Pixel <pixel@mandrakesoft.com> 3.5-7mdk
- remove dir in infodir

* Tue Nov  7 2000 Pixel <pixel@mandrakesoft.com> 3.5-6mdk
- add require for -devel

* Wed Jul 19 2000 Pixel <pixel@mandrakesoft.com> 3.5-5mdk
- macorziation, BM

* Tue Apr 18 2000 Pixel <pixel@mandrakesoft.com> 3.5-4mdk
- ensure /usr/info/dir is not there

* Fri Apr 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 3.5-3mdk
- added missing doc files

* Tue Mar 28 2000 Pixel <pixel@mandrakesoft.com> 3.5-2mdk
- fix a lot of missing % files

* Sat Mar 25 2000 Pixel <pixel@mandrakesoft.com> 3.5-1mdk
- new group
- new version (is that ok Kai Nielsen? :)

* Mon Jan  3 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.4-9mdk
- fix the owner of files.

* Tue Jul 22 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- add french description

* Tue Jul 13 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Bzip2 sources.

* Mon Jul 12 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- quick adaptation to Mandrake

* Fri Dec 25 1998 Peter Soos <sp@osb.hu>
- Corrected the file and directory attributes

* Tue Jun 23 1998 Peter Soos <sp@osb.hu>
- Using %attr

* Tue Dec 12 1997 Peter Soos <sp@osb.hu>
- Recompiled under RedHat Linux 5.0
- Now we use BuildRoot
